	
Sub Load_Compass ( )

	Dim As Long Ct = 0

	Dim As Long FileMode = FreeFile
	
	Open "./Assets/Cardinals.CSV" For Input As #FileMode

		Input #FileMode, Ct
		
		ReDim Cardinals ( 0 To Ct - 1 )

		For Index As Long = LBound ( Cardinals, 1 ) To UBound ( Cardinals, 1 ) Step 1
			Input #FileMode, Cardinals ( Index )
		Next Index
	
	Close #FileMode
	
End Sub		

Function CompassRose ( V As Double ) As Double
	
	Return ( V * 16 ) Mod 16
			
End Function
	
Sub CompassDigital ( V As Double, Digital As VertexType  )

	Dim As Double F = CompassRose ( V ) / 16
	
	Digital.XYZ ( Vec.X ) = 320 + Sin ( 2 * F * Pi ) * 64
	Digital.XYZ ( Vec.Y ) = 240 + -Cos ( 2 * F * Pi ) * 64
			
End Sub
